<?php
/*##################################################
 *                               admin_match_map.php
 *                            -------------------
 *   begin                :  
 *   copyright            : SaTurNin
 *   email                : 
 *
 * 
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

require_once('../admin/admin_begin.php');
load_module_lang('match'); //Chargement de la langue du module.
define('TITLE', $LANG['administration']);
require_once('../admin/admin_header.php');
require_once('../match/match.inc.php'); 
require_once('match_constante.php');
if (retrieve(GET,'valid',false)) {
      /////////////////////////////////////
     // Boucle sur la meme page en get  //
    /////////////////////////////////////
   // ecriture dans le cache & boucle //
  /////////////////////////////////////
	// on charge le cache
	$Cache->load('match');
	$game = unserialize($CONFIG_MATCH['game']); // selection de la variable dans le cache

	// recup du jeux qui est envoyer en hidden
	$game_sel= retrieve(GET, 'jeux', ''); 

	// on boucle sur 20 valeur pour la recup des nouvelles maps
	for ($i = 0; $i < 20; $i++) {	
		// on recup la map n°...
		if (retrieve(GET,'mod'.$i,false,TSTRING)){
			$game[$game_sel][$i] = retrieve(GET, 'mod'.$i, '') ;
		}
	}

// supression !!!
// on recupere la valeur a supprimé.
	if (retrieve(GET,'del_map',false,TSTRING)) {
		$_prov = retrieve(GET, 'del_map', '');
		// boucle de recuperation du numero
		for ($m = 0; $m < 20; $m++) {
			if ($_prov == 'd_map'.$m ) {
				$_prov_2 = $m  ; // numero de la map
				$_prov_3 = $m +1; // la map suivante
			 }
		}
// on fait une boucle qui éventuellement déplace les entrées suivantes.
		for ($d = $_prov_2; $d < 20; $d++) {
			$e= $d+1 ;
			if (!empty($game[$game_sel][$e]) && ($game[$game_sel][$e] != '')) {
				$game[$game_sel][$d] = $game[$game_sel][$e] ; // n = n+1
				$_prov_3 = $e ; // on passe a la map suivante en memoire provisoire.
				$_prov_4 = $d ; // derniere entrée valide, en memoire pour unset (risque de doublon)
			}else{
			 	unset($game[$game_sel][$d]) ; // on detruit a la main pour etre sur que le chan sera vide au cas ou :þ 
			}
		}
	}

	$CONFIG_MATCH['game'] =  serialize($game) ;
	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONFIG_MATCH)) . "' WHERE name = 'match'", __LINE__, __FILE__);
	$Cache->Generate_module_file('match');
	redirect(HOST . SCRIPT);

}elseif (retrieve(POST,'valid',false)){ 
    ///////////////////////////////
   // arrivé depuis admin_match //    //////////
  ///////////////////////////////    // MAPS //
 // jeu selectionner Affichage//    //////////
///////////////////////////////

	$game_sel=retrieve(POST, 'game', '', TSTRING);
	$Cache->load('match');
	$tpl = new Template('match/admin_match_map.tpl');
	$game = unserialize($CONFIG_MATCH['game']); // selection de la variable dans le cache
	$n_game = $game_sel ; // on repasse sur un nomage plus coherent avec le fichier. je comptais faire des verif, mais on est dans l'administration, le risque de hack est minime.
	// comptage des maps
	if ( (isset($game[$n_game]['icon'])) && ($game[$n_game]['icon'] != '') && (!empty($game[$n_game]['icon']))){$ico=2;}else{$ico=1;}
	$m_count = (isset($game[$n_game])) ? (count($game[$n_game])-$ico) : 1 ; // evite l'rreur count = 0 et compte $game[jeux][X] - name et icon

	$tpl->assign_block_vars('g_map', array(
			'G_GAME'=> $game[$n_game]['name'],
	));
	$n_map = 0 ;
				while ($n_map <= 20 )
				{
				// Re controle des enregistrement dans n_map
					if ( (isset($game[$n_game][$n_map])) && ($game[$n_game][$n_map] != '') && (!empty($game[$n_game][$n_map])) )
					{	
						$tpl->assign_block_vars('map', array(
						'GAME_N'=> $n_map,
						'MAP'=> stripslashes($game[$n_game][$n_map]),
						'N_MAP'=>$n_map,
						'N_GAME'=>$n_game,
						'C_DEL'=> ($n_game == 0) ? false : true ,
						));
						
					// fin du controle de n_map
					} else if ($n_map == 0){
				//	 echo 'attention n_map !! ==> 0';
						$tpl->assign_block_vars('map', array(
						'GAME_N'=> 'new map',
						'MAP'=> '',
						'N_MAP'=>$n_map,
						'N_GAME'=>$n_game,
						'C_DEL'=> false ,
						));
					$m_count = 1 ;
					} 
					$n_map++ ;
				}

  ////////////////////////
 // Les variables fixe //
////////////////////////

	$tpl->assign_vars(array(
		'MODIFICATION'=> true,
		'L_CONFIG' => $MATCH_LANG['config_match'],
		'L_VIEW_PLAYLIST'=> $MATCH_LANG['play_list'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset'],
		'L_CONFIG_ACCESS' => $MATCH_LANG['config_match_access'],
		'L_CONFIG_MAJ' => "mise a jour",
		'J_C'=> $game_sel,
		'L_T_MAP'=> $MATCH_LANG['t_map'],
			'NB_FIELD_GAME' => $m_count,
	));

	$tpl->parse(); // traitement du modele	

}
//Sinon on rempli le formulaire
else	
{
    //////////////////////////
   // Affichage en tableau //
  // tous les jeux & map  //
 //////////////////////////
		
	$Cache->load('match');
	$tpl = new Template('match/admin_match_map.tpl');

	$game = unserialize($CONFIG_MATCH['game']); // selection de la variable dans le cache
//	print_r( $game ) ; // affichage de l'array qui nous interresse

   ///////////////////
  // Trie des jeux //
 ///////////////////

	$n_game = 0; // numero du jeux 
	while ($n_game < count($game)) // pour chaque entrée jeux $game[X]
		{
		$tpl->assign_block_vars('games', array(
			'N_GAME' => $n_game, 
			'GAME' => stripslashes($game[$n_game]['name']),
			'ICON' => (!empty($game[$n_game]['icon'])) ? stripslashes($game[$n_game]['icon']): 'none',
			'S_NAME' => '<option value="' . $n_game . '">' .  stripslashes($game[$n_game]['name']) . '</option>'
		)); 

		$n_map = 0; // mise a zero pour le compteur de map
		// si icon est sett et non vide et != '' => ajoute deux, sinon on ajoute un (un = name)
	if ( (isset($game[$n_game]['icon'])) && ($game[$n_game]['icon'] != '') && (!empty($game[$n_game]['icon']))){$ico=2;}else{$ico=1;}
		$m_count = (isset($game[$n_game])) ? (count($game[$n_game])-$ico) : 0 ; // evite l'rreur count = 0 et compte $game[jeux][X] - name et icon
				while ($n_map <= $m_count )
				{
				// Re controle des enregistrement dans n_map
					if ( (isset($game[$n_game][$n_map])) && ($game[$n_game][$n_map] != '') && (!empty($game[$n_game][$n_map])) )
					{	
						$tpl->assign_block_vars('map', array(
						'GAME'=> stripslashes($game[$n_game]['name']),
						'MAP'=> stripslashes($game[$n_game][$n_map]),
						'N_MAP'=>$n_map,
						'N_GAME'=>$n_game,

						));

					// fin du controle de n_map
					} 
					$n_map++ ;
				}
		$n_game++ ;
		 }

  ////////////////////////
 // Les variables fixe //
////////////////////////

	$tpl->assign_vars(array(
		'VIEW'=> true,
		'L_CONFIG' => $MATCH_LANG['config_match'],
		'L_VIEW_PLAYLIST'=> $MATCH_LANG['play_list'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset'],
		'L_CONFIG_ACCESS' => $MATCH_LANG['config_match_access'],
		'L_CONFIG_MAJ' => "mise a jour",
		'L_T_MAP'=> $MATCH_LANG['t_map'],
	));

	$tpl->parse(); // traitement du modele	
}

require_once('../admin/admin_footer.php');

?>
