<?php
/*##################################################
 *                             match2_mini.php
 *                            -------------------
 *   begin                : August 08, 2010
 *   Site                : http://chez-swan.net
 *
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

if (defined('PHPBOOST') !== true) exit;

function match_mini($position, $block)
{
	global $User, $LANG, $Sql, $Cache, $CONFIG_MATCH; // global 
//Mini module non active si sur un page du module.
	if (strpos(SCRIPT, '/match/') === false) {
	//	$tpl = new Template('match/match_mini.tpl');

	if($block <= 6) {
		$tpl = new Template('match/match_mini_h.tpl');	// horizontal menu !
	//	$min_aff = 5 ;
	}
	if($block >= 7) {
		$tpl = new Template('match/match_mini.tpl');	// vertical menu!
	//	$min_aff = 10 ;
	}

		import('core/menu_service');
		MenuService::assign_positions_conditions($tpl, $block);

//Chargement de la langue du module.
		load_module_lang('match');
		$Cache->load('match'); //Chargement du cache
// variable set a zero pour viter les non set :
		$c_m = 0 ;


		if(empty($CONFIG_MATCH['mm_trie']) ){ $CONFIG_MATCH['mm_trie']= 5 ;}

		$trie=$CONFIG_MATCH['mm_trie'] ;
		$m = 0 ;
		$result = $Sql->query_while("SELECT id, name_team_adverse, tag_team_adverse, tag_team, statut, score, timestamp, winner, game, type_game, game_map, round, type_game, visible
			FROM " . PREFIX . "match
			WHERE visible = 1 
			ORDER BY timestamp DESC
			" . $Sql->limit(0, $trie), __LINE__, __FILE__);

		while($row = $Sql->fetch_assoc($result)) {
			global $CONFIG_MATCH ;
			$array = unserialize($CONFIG_MATCH['game']);

			foreach($array as $value) {
				if($row['game'] == $value['name']) { $g_img = $value['icon'] ; }else{ $g_img = HOST.DIR.'/match/games/no_icon.png' ;}
			}

			if($row['id']!= ''){ $c_m = 1 ; }

		/*	foreach($array as $key => $value) {
				if($row['game'] == $value['name']) { $g_img = $value['icon'] ; }
			} */

// vainqueur
			if ($row['winner'] == 0 ) {
				$winner_match = "Match null" ;
			}else if ($row['winner'] == 1 ) {
				$winner_match = $CONFIG_MATCH['name_team'] ;
			}else if ($row['winner'] == 2 ) {
				$winner_match = $row['name_team_adverse'] ;
			}

// Score
			$score_match = unserialize($row['score']) ;
	
// status du match vue
			if ($row['statut']== 0) { 
				$status_match = "Non dfinis" ;
			}elseif ($row['statut']== 1) { 
				$status_match = "(nc) "; //.gmdate_format('d/m/y', $row['timestamp']) ;
			}elseif ($row['statut']== 2) {		
				$status_match = "En cours" ;
			}elseif ($row['statut']== 3) {
				$status_match = "" ."(". $score_match['score_team'] ."-".$score_match['score_team_adverse'].")" ;
			}elseif ($row['statut']== 4) {
				$status_match = "Annul" ;
			}

//ajout pour plus de lisibilit du module, et li la team adverse n'a pas de tag :
			if(empty($row['tag_team']) ){ $row['tag_team']=$row['name_team_adverse'] ;}
			if(empty($CONFIG_MATCH['t_tag']) ){ $CONFIG_MATCH['t_tag']=$CONFIG_MATCH['name_team'] ;}

			$tpl->assign_block_vars('list_title', array(
				'ID' => $row['id'],
				'TEAM' => $row['name_team_adverse'].' VS '.$CONFIG_MATCH['name_team'],

				'LINK' => HOST . DIR . '/match/match' . url('.php?id='.$row['id']),

				'ICON' => $g_img,

				'TAG'=> second_parse($row['tag_team']) ,
				'TEAM_TAG' => stripslashes($CONFIG_MATCH['t_tag']),
				'WIN'=> $winner_match ,

				'GAME'=> $row['game'],
				'ROUND'=> $row['round'],
				'TYPE_GAME'=> $row['type_game'],		
				'STATUS' => $status_match,
					'MAP' => $row['game_map'],
					'JEUX'=> $row['game'],
			));
			$m++;
		}

// variable gnrale
		$tpl->assign_vars(array(
					'C_M'=> ($c_m ==1)? true: false ,
			'U_LINK'=> HOST . DIR . '/match/match.php',
			'L_LINK' => 'Match',
			'L_TITLE' => 'Match',
		));

		return $tpl->parse(TEMPLATE_STRING_MODE);
	}
}
?>
