<?php
/*##################################################
 *                               admin_match.php
 *                            -------------------
 *   begin                :  
 *   copyright            : 
 *   email                : 
 *
 * 
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

require_once('../admin/admin_begin.php');
load_module_lang('match'); //Chargement de la langue du module.
define('TITLE', $LANG['administration']);
require_once('../admin/admin_header.php');
require_once('../match/match.inc.php'); 
require_once('match_constante.php');

if (retrieve(POST,'valid',false))
{
	$Cache->load('match');

	$CONFIG_MATCH ['auth'] = Authorizations::build_auth_array_from_form(AUTH_WRITE_M, AUTH_MODO_M, AUTH_READ_M, AUTH_CONTRIB_M) ;
	
	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONFIG_MATCH)) . "' WHERE name = 'match'", __LINE__, __FILE__);
	
	$Cache->Generate_module_file('match');
	
	redirect(HOST . SCRIPT);
}
//Sinon on rempli le formulaire
else	
{		

	$Cache->load('match');

	$tpl = new Template('match/admin_match_access.tpl');
	
	$tpl->assign_vars(array(
		'AUTH_WRITE' => Authorizations::generate_select(AUTH_WRITE_M, $CONFIG_MATCH['auth']),
		'AUTH_MODO' => Authorizations::generate_select(AUTH_MODO_M, $CONFIG_MATCH['auth']),
		'AUTH_READ' => Authorizations::generate_select(AUTH_READ_M, $CONFIG_MATCH['auth']),
		'AUTH_CONTRIB' => Authorizations::generate_select(AUTH_CONTRIB_M, $CONFIG_MATCH['auth']),
		'L_AUTH_WRITE' => $MATCH_LANG['auth_write'],
		'L_AUTH_MODO' => $MATCH_LANG['auth_modo'],
		'L_AUTH_READ' => $MATCH_LANG['auth_read'],
		'L_AUTH_CONTRIB' => $MATCH_LANG['auth_contrib'],
		'L_CONFIG_ACCESS' => $MATCH_LANG['config_match_access'],
		'L_CONFIG' => $MATCH_LANG['config_match'],
		'L_VIEW_PLAYLIST'=> $MATCH_LANG['play_list'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset'],
		'L_T_MAP'=> $MATCH_LANG['t_map'],
		'L_CONFIG_MAJ' => "mise a jour",
	));

	$tpl->parse(); // traitement du modele	
}

require_once('../admin/admin_footer.php');

?>
