<?php
/*##################################################
 *                              match.php
 *                            -------------------
 *   begin                : February 2010
 *   copyright            : (C) MASSY Kvin
 *   email                : soldier_weasel@hotmail.fr
 *
 *   
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/
//Chargement du CSS 
define('ALTERNATIVE_CSS', 'match');

require_once('../kernel/begin.php'); 
require_once('../match/match_begin.php'); 

$add = retrieve(GET,'add',false);
$id = retrieve(GET,'id',0);
$del = retrieve(GET,'del',0);
$edit = retrieve(GET,'edit',0);
if(isset($CONFIG_MATCH['no_left_column']) && ($CONFIG_MATCH['no_left_column'] == 1 )){ define('NO_LEFT_COLUMN', true); } 
if(isset($CONFIG_MATCH['no_right_column']) && ($CONFIG_MATCH['no_right_column'] == 1 )){ define('NO_RIGHT_COLUMN', true); } 

require_once('../match/match.inc.php'); 
require_once('../kernel/header.php'); 

import('util/date');
$now = new Date(DATE_NOW, TIMEZONE_AUTO);
import('util/mini_calendar');
$release = MiniCalendar::retrieve_date('release');
import('events/contribution');
import('events/contribution_service');

import('util/captcha');
$Captcha = new Captcha();
$Captcha->set_difficulty('2'); 


$confirm = retrieve(GET,'confirm', TSTRING);

$valid_edit = retrieve(POST,'valid_edit',false);
$submit = retrieve(POST,'submit',false);

$auth_contrib = !$User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M) && $User->check_auth($CONFIG_MATCH['auth'], AUTH_CONTRIB_M)  ;

$tpl = new Template('match/match.tpl');
	
	$array = array();
	for ($i = 0; $i < 50; $i++)
	{	
		if (retrieve(POST,'a'.$i,false,TSTRING))
			$array[$i]['ally'] = retrieve(POST, 'a'.$i, '');
		if(retrieve(POST, 'v'.$i,false,TSTRING))
			$array[$i]['opponent'] = retrieve(POST, 'v'.$i, '');
	}
	$score = array();
	$score['score_team'] = retrieve(POST, 'statut', 0, TINTEGER) > 2 ? retrieve(POST, 'score_team', 0, TINTEGER) : '';
	$score['score_team_adverse'] = retrieve(POST, 'statut', 0, TINTEGER) > 2 ? retrieve(POST, 'score_team_adverse', 0, TINTEGER) : '';
	
	$match = array(
		'id' => retrieve(POST, 'id', '', TSTRING),
		'name_team_adverse' => retrieve(POST, 'name_team_adverse', '', TSTRING),
		'tag_team_adverse' => retrieve(POST, 'tag_team_adverse', '', TSTRING),
		'tag_team' => retrieve(POST, 'tag_team', '', TSTRING_PARSE),
		'nationality_team_adverse' => retrieve(POST, 'nationality_team_adverse', '', TSTRING),
		'website_team_adverse' => retrieve(POST, 'website_team_adverse', '', TSTRING),
		'ts_ip_vocal' => retrieve(POST, 'ts_ip_vocal', '', TSTRING),
		'desc' => retrieve(POST, 'desc', '', TSTRING_PARSE),
		'game' => retrieve(POST, 'game_j', '', TSTRING),
		'game_map' => retrieve(POST, 'listemap', '', TSTRING),
		'type_game' => retrieve(POST, 'type_game', '', TSTRING),
		'round' => retrieve(POST, 'round', '', TSTRING),
		'statut' => retrieve(POST, 'statut', '', 0, TINTEGER),
		'winner' => retrieve(POST, 'statut', '', TSTRING) > 2 ? retrieve(POST, 'winner', '', TSTRING) : 0 ,
		'players' => addslashes(serialize($array)),
		'timestamp' => $release->get_timestamp(),
		'visible' => retrieve(POST, 'visible', '', TSTRING),
		'score' => addslashes(serialize($score)),
		'release_hour' => retrieve(POST, 'release_hour', 0, TINTEGER),
		'release_min' => retrieve(POST, 'release_min', 0, TINTEGER),
		'counterpart' => retrieve(POST, 'counterpart', 0, TINTEGER),
	);
		
	
	// On crer le timestamp
	$match['timestamp'] += ($match['release_hour'] * 60 + $match['release_min']) * 60;
		if ($match['timestamp'] == 0)
			$match['timestamp'] = $now->get_timestamp();
			
   /////////////////////////////////////////
  //  Enregistrement des entres et cache  //
 /////////////////////////////////////////

	if(!empty($submit))
	{
		if(!empty($match['name_team_adverse']) && !empty($match['nationality_team_adverse']) && (!$auth_contrib ? !empty($match['statut']) : true))
		{
			$Sql->query_inject("INSERT INTO " . DB_TABLE_MATCH . " 
			(name_team_adverse, tag_team_adverse, tag_team, nationality_team_adverse, website_team_adverse, ts_ip_vocal, description, statut, winner, timestamp, players, visible, score, game, game_map, round, type_game)
			VALUES(
				'" . $match['name_team_adverse'] . "',
				'" . $match['tag_team_adverse'] . "',
				'" . $match['tag_team'] . "',
				'" . $match['nationality_team_adverse'] . "',
				'" . $match['website_team_adverse'] . "',
				'" . $match['ts_ip_vocal'] . "',
				'" . $match['desc'] . "',
				'" . $match['statut'] . "',
				'" . $match['winner'] . "',
				'" . $match['timestamp'] . "',
				'" . $match['players'] . "',
				'" . $match['visible'] . "',
				'" . $match['score'] . "',
				'" . $match['game'] . "',
				'" . $match['game_map'] . "',
				'" . $match['round'] . "',
				'" . $match['type_game'] . "'
			)", __LINE__, __FILE__);
			
			$match['id'] = $Sql->insert_id("SELECT MAX(id) FROM " . DB_TABLE_MATCH);
			
			if($match['visible'] == 0)
			{
				//If the poster couldn't write, it's a contribution and we put it in the contribution panel, it must be approved
				if ($auth_contrib)
				{
					if(!$Captcha->is_valid())
						redirect(HOST . SCRIPT . url('?error=captcha', '', '&') . '#errorh');
					
					$match_contribution = new Contribution();

					//The id of the file in the module. It's useful when the module wants to search a contribution (we will need it in the file edition)
					$match_contribution->set_id_in_module($match['id']);
					//The description of the contribution (the counterpart) to explain why did the contributor contributed
					$match_contribution->set_description(stripslashes($match['counterpart']));
					//The entitled of the contribution
					$match_contribution->set_entitled('Demande de match de la team '.$match['name']);
					//The URL where a validator can treat the contribution (in the file edition panel)
					$match_contribution->set_fixing_url('/match/match.php?edit=' . $match['id']);
					//Who is the contributor?
					$match_contribution->set_poster_id($User->get_attribute('user_id'));
					//The module
					$match_contribution->set_module('match');
					//Assignation des autorisations d'criture / Writing authorization assignation
					$match_contribution->set_auth(
						//On dplace le bit sur l'autorisation obtenue pour le mettre sur celui sur lequel travaille les contributions,  savoir CONTRIBUTION_AUTH_BIT
						//We shift the authorization bit to the one with which the contribution class works, CONTRIBUTION_AUTH_BIT
						Authorizations::capture_and_shift_bit_auth(
							//On fusionne toutes les autorisations pour obtenir l'autorisation d'criture dans la catgorie slectionne :
							//C'est la fusion entre l'autorisation de la racine et de l'ensemble de la branche des catgories
							//We merge the whole authorizations of the branch constituted by the selected category
							Authorizations::merge_auth(
								$CONFIG_MATCH['auth']
							),
							AUTH_MODO_M, AUTH_CONTRIB_M
						)
					);

					//Sending the contribution to the kernel. It will place it in the contribution panel to be approved
					ContributionService::save_contribution($match_contribution);

					//Redirection to the contribution confirmation page
					redirect(HOST . DIR . '/match/match.php?confirm=contribut');
				}
			}
			else
			{
				redirect(HOST . SCRIPT .'?confirm=add');
			}
		}
		else
		{
			redirect(HOST . SCRIPT .'?add=1&confirm=fields_empty');



		}
	}
	elseif(!empty($del)) // supression map
	{
		$Session->csrf_get_protect();
		
		if(!$User->check_auth($CONFIG_MATCH['auth'], AUTH_MODO_M))
		{
			$Errorh->handler('e_auth', E_USER_REDIRECT);
		}
			
		$del = $Sql->query_array(DB_TABLE_MATCH, '*',"WHERE id = " . $del . " ", __LINE__, __FILE__);
		
		if(empty($del))
		{
			redirect(HOST . SCRIPT . '/match.php?confirm=unexist');
		}

		$Sql->query_inject("DELETE FROM " . DB_TABLE_MATCH . " WHERE id = " . $del['id'] . " ", __LINE__, __FILE__);
		
		redirect(HOST . SCRIPT.'?confirm=del');

	}
	elseif(!empty($valid_edit)) 
	{
		$Session->csrf_post_protect();
		
		if(!empty($match['name_team_adverse']) && !empty($match['nationality_team_adverse']) && !empty($match['statut']))
		{
			$match_properties = $Sql->query_array(DB_TABLE_MATCH, "visible", "WHERE id = '" . $match['id'] . "'", __LINE__, __FILE__);

			$Sql->query_inject("UPDATE " . DB_TABLE_MATCH . " SET 
			
				name_team_adverse = '" . $match['name_team_adverse'] . "',
				tag_team_adverse = '" . $match['tag_team_adverse'] . "',
				tag_team = '" . $match['tag_team'] . "',
				nationality_team_adverse = '" . $match['nationality_team_adverse'] . "',
				website_team_adverse = '" . $match['website_team_adverse'] . "',
				ts_ip_vocal = '" . $match['ts_ip_vocal'] . "',
				description = '" . $match['desc'] . "',
				statut = '" . $match['statut'] . "',
				timestamp = '" . $match['timestamp'] . "',
				winner = '" . $match['winner']  . "',
				players = '" . $match['players'] . "',
				visible = '" . $match['visible'] . "',
				score = '" . $match['score'] . "',
				game = '" . $match['game'] . "',
				game_map = '" . $match['game_map'] . "',
				round = '" . $match['round'] . "',
				type_game = '" . $match['type_game'] . "'
				WHERE id = " . $match['id'] . "
				", __LINE__, __FILE__);
				
				if($match['visible'] == 1 && !$match_properties['visible'])
				{				
					$corresponding_contributions = ContributionService::find_by_criteria('match', $match['id']);
					if (count($corresponding_contributions) > 0)
					{	
						$file_contribution = $corresponding_contributions[0];
						//The contribution is now processed
						$file_contribution->set_status(EVENT_STATUS_PROCESSED);
						//We save the contribution
						ContributionService::save_contribution($file_contribution);
					}
				}
				
				redirect(HOST . SCRIPT.'?confirm=edit');
		}
		else
		{
			redirect(HOST . SCRIPT .'?all=1&confirm=fields_empty');
		}
	}
	else
	{
		if(!empty($add)) // ajout + contrib
		{
	/*		import('util/captcha');
			$Captcha = new Captcha();
			$Captcha->set_difficulty('2'); 
	*/

			if(!$User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M) && !$User->check_auth($CONFIG_MATCH['auth'], AUTH_CONTRIB_M)) // pas ici
			{	
				$Errorh->handler('e_auth', E_USER_REDIRECT);
			}

			if(!$User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M) && $User->check_auth($CONFIG_MATCH['auth'], AUTH_CONTRIB_M))
			{ // on est en contribution!
				$contrib = 1 ;
				$Cache->load('member');
				if ($Captcha->is_available())
				{

					$tpl->assign_block_vars('cap', array(
						'C_VERIF_CODE' => true,
						'VERIF_CODE' => $Captcha->display_form(),
						'L_REQUIRE_VERIF_CODE' => $Captcha->js_require()
					));
				}

			}
			
			$now = new Date(DATE_NOW, TIMEZONE_AUTO);
			$release_calendar = new MiniCalendar('release');
			$release_calendar->set_date(new Date(DATE_NOW, TIMEZONE_AUTO));
			
			$tpl->assign_block_vars('members', array(
				'I' => 0,
				'ALLY' => '',
				'OPPONENT' => '',
			));

			$tpl->assign_vars(array(
		//		'C_CONTRIB' => (isset($contrib))? TRUE : FALSE ,
				'C_ADD' => true,
				'L_TITLE_ADD_EDIT' => $MATCH_LANG['bread_add'],
				'NAME_TEAM' => 'Autre team',
				'RELEASE_CALENDAR' => $release_calendar->display(),
				'RELEASE_HOUR' => $now->get_hours(),
				'RELEASE_MIN' => $now->get_minutes(),
				'NB_CHAMPS_MEMBERS' => 1,
				'VISIBLE' => 'checked="checked"',
				'UNVISIBLE' => '',
				'C_VERIF_CAPCHA' => ((!$User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M) && $User->check_auth($CONFIG_MATCH['auth'], AUTH_CONTRIB_M))&&($CONFIG_USER['verif_code'] == '1'))?true : false,
			));
			
			select_statut('');
			select_type_game();
			select_round();
			select_nationality();
		}
		elseif(!empty($edit))
		{
			if(!$User->check_auth($CONFIG_MATCH['auth'], AUTH_MODO_M) && !$User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M))
			{
				$Errorh->handler('e_auth', E_USER_REDIRECT);
			}
			
			$edit_bdd = $Sql->query_array(DB_TABLE_MATCH, '*', "WHERE id = " . $edit . "" , __LINE__, __FILE__);
			
			if(empty($edit_bdd))
			{
				redirect(HOST . SCRIPT . '/match.php?confirm=unexist');
			}
			
			$release_calendar = new MiniCalendar('release');
			$release = new Date(DATE_TIMESTAMP, TIMEZONE_AUTO, ($edit_bdd['timestamp'] > 0 ? $edit_bdd['timestamp'] : $now->get_timestamp()));
			$release_calendar->set_date($release);
			
			$array = unserialize($edit_bdd['players']);

			$i = 0;
			foreach ($array as $value)
			{	
				$tpl->assign_block_vars('members', array(
					'I' => $i,
					'ALLY' => !empty($value['ally']) ? stripslashes($value['ally']) : '',
					'OPPONENT' => !empty($value['opponent']) ? stripslashes($value['opponent']) : '',
				));
				$i++;
			}	
			if($i==0)
			{
				$tpl->assign_block_vars('members', array(
					'I' => 0,
					'ALLY' => '',
					'OPPONENT' => '',
				));
			}
			$score = unserialize($edit_bdd['score']);
			
			$tpl->assign_vars(array(
				'C_ADD' => true,
				'C_EDIT'=> true,
				'ID' => $edit_bdd['id'],
				'NAME_TEAM_ADVERSE' => $edit_bdd['name_team_adverse'],
				'TAG_TEAM'=>unparse($edit_bdd['tag_team']),
				'TAG_ICON_TEAM_ADVERSE' => '<img src="'. $edit_bdd['tag_team_adverse'] .'" alt="" class="valign_middle" style="max-height:80px;max-width:80px;" />',
				'TAG_TEAM_ADVERSE' => $edit_bdd['tag_team_adverse'],
				'WEBSITE_TEAM_ADVERSE' => $edit_bdd['website_team_adverse'],
				'TS_IP_VOCAL' => $edit_bdd['ts_ip_vocal'],
				'SCORE_TEAM' => $score['score_team'],
				'SCORE_TEAM_ADVERSE' => $score['score_team_adverse'],
				'DESC' => unparse($edit_bdd['description']),	
				'NB_CHAMPS_MEMBERS' => $i == 0 ? 1 : $i,
				'RELEASE_CALENDAR' => $release_calendar->display(),
				'RELEASE_HOUR' => !empty($edit_bdd['timestamp']) ? $release->get_hours() : '',
				'RELEASE_MIN' => !empty($edit_bdd['timestamp']) ? $release->get_minutes() : '',
				'VISIBLE' => $edit_bdd['visible'] == 1 ? 'checked="checked"' : '',
				'UNVISIBLE' => $edit_bdd['visible'] == 0 ? 'checked="checked"' : '',
				'L_TITLE_ADD_EDIT' => $MATCH_LANG['bread_edit'],
				'O_GAME'=> '<br/> Paramtres prcdents : <br \> '.$edit_bdd['game'].' - '.$edit_bdd['game_map'] ,
				'E_MAP' => $edit_bdd['game_map'],
				'E_JEUX'=> $edit_bdd['game'],

			));
			
			select_statut($edit_bdd['statut']);
			select_winner($edit_bdd['winner'], stripslashes($CONFIG_MATCH['name_team']), $edit_bdd['name_team_adverse']);
			select_round($edit_bdd['round']);
			select_type_game($edit_bdd['type_game']);
			select_nationality($edit_bdd['nationality_team_adverse']);
			
		}
		elseif(!empty($id))
		{
			if(!$User->check_auth($CONFIG_MATCH['auth'], AUTH_READ_M))
			{
				$Errorh->handler('e_auth', E_USER_REDIRECT);
			}
			
			$row = $Sql->query_array(DB_TABLE_MATCH, '*',"WHERE id = " . $id . " AND visible = 1 ", __LINE__, __FILE__);
	
			if(empty($row))
			{
				redirect(HOST . SCRIPT . '/match.php?confirm=unexist');
			}

// status du match vue
			if ($row['statut']== 0)
				$status_match = "Non dfinis" ;
			else if ($row['statut']== 1) 
				$status_match = "A faire" ;
			else if ($row['statut']== 2)			
				$status_match = "En cours" ;
			else if ($row['statut']== 3)
				$status_match = "Termin" ;
			else if ($row['statut']== 4)
				$status_match = "Annul" ;
// Vainqueur du match

			if ($row['winner'] == 0 )
				$winner_match = "" ;
			else if ($row['winner'] == 1 )
				$winner_match = stripslashes($CONFIG_MATCH['name_team']) ;
			else if ($row['winner'] == 2 )
				//$winner_match = $row['name_team_adverse'] ;
				//$winner_match = '<img src="'. $row['tag_team_adverse'] .'" style="max-height:80px;max-width:180px"  />';
				$winner_match = '<img src="'. $row['tag_team_adverse'] .'" style="max-height:80px;max-width:180px"  />';
// Score
			$score_match = unserialize($row['score']) ;
// Player
			$player_match = array();
			$player_match = unserialize($row['players']);

			$i = 0;
			foreach ($player_match as $player_v)
			{	
				$tpl->assign_block_vars('player_match', array(
					'I' => $i,
					'ALLY' => !empty($player_v['ally']) ? stripslashes($player_v['ally']) : '',
					'OPPONENT' => !empty($player_v['opponent']) ? stripslashes($player_v['opponent']) : '',
				));
				$i++;
			}	
			if($i==0)
			{
				$tpl->assign_block_vars('player_match', array(
					'I' => 0,
					'ALLY' => '',
					'OPPONENT' => '',
				));
			}

import('content/comments');

			$tpl->assign_vars(array(
				'C_ID' => true,
				'U_COMM' => Comments::com_display_link($row['nbr_com'], '../match/match' . url('.php?id=' . $row['id'] . '&com=0'), $row['id'], 'match'),
				'TEAM'=>stripslashes($CONFIG_MATCH['name_team']), 
				'L_TITLE_ID' => stripslashes($CONFIG_MATCH['name_team']).' VS '.$row['name_team_adverse'],
				'NAME_TEAM' => $row['name_team_adverse'],
				'TAG_ICON' => '<img src="'. $row['tag_team_adverse'] .'" style="max-height:80px;max-width:180px"  />',
				'TAG' => $row['tag_team_adverse'],
				'TAG_TEAM' => second_parse($row['tag_team']),
				'NATIONALITY' => $row['nationality_team_adverse'],
				'WEBSITE' => $row['website_team_adverse'],
				'TS_IP_VOCAL' => $row['ts_ip_vocal'],
				'DESC' => second_parse($row['description']),
				'ID' => $row['id'] ,
				'GAME' => $row['game'],
				'GAME_MAP' => $row['game_map'],
				'STATUT' => $status_match,
				'WINNER' => $winner_match,
				'TIMESTAMP'=> gmdate_format('date_format', $row['timestamp']),
				'TYPE_GAME'=> $row['type_game'],
				'ROUND'=> $row['round'],
				'SCORE_TEAM'=> $score_match['score_team'],
				'SCORE_TEAM_ADVERSE'=> $score_match['score_team_adverse'],
				'C_MODO' => $User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M) || $User->check_auth($CONFIG_MATCH['auth'], AUTH_MODO_M) ? true : false ,



			));
			select_games($row['game']); // ligne 72 match inc mise en variable de s_icon
			
				if (isset($_GET['com']))
	{
		$tpl->assign_vars(array(
			'COMMENTS' => display_comments('match', $id, url('match.php?id=' . $id . '&amp;com=%s'))
		));
	}

		}
		else
		{
// controle droit de lecture
			if(!$User->check_auth($CONFIG_MATCH['auth'], AUTH_READ_M))
			{
				$Errorh->handler('e_auth', E_USER_REDIRECT);
			}
// on recupere les get de type_j.
		$T_j = 1 ;
		$T_j_db = $Sql->query_while("SELECT game FROM " . DB_TABLE_MATCH ." GROUP BY game ORDER BY game ASC ", __LINE__, __FILE__);
		while($row_T = $Sql->fetch_assoc($T_j_db)) {
			$Type_db[$T_j] = $row_T['game'] ;
				$tpl->assign_block_vars('list_jeux', array(
					'GAME_DB' => $row_T['game'] ,
					'N_GAME_DB' => $T_j ,	
				));
			$T_j++ ;
		}

		$counr_a_db=count($Type_db) ; 
		$Type_j = retrieve(GET,'type_j',0, TINTEGER);

		if(($Type_j > '0')&&($Type_j <= $counr_a_db) && is_int($Type_j)) {
//			print_r($Type_j);
//			print_r($counr_a_db) ;
			$Where_jeu = "AND game = '".$Type_db[$Type_j]."'" ;
		}else{ 
			$Where_jeu = '';
		}

	//On cre une pagination si le nombre de fichiers est trop important.
		import('util/pagination'); 
		$Pagination = new Pagination();
		$nbr_files = (int)$Sql->query("SELECT COUNT(*) FROM " . DB_TABLE_MATCH , __LINE__, __FILE__);

			$result = $Sql->query_while("SELECT id, name_team_adverse, game, tag_team_adverse, tag_team, nationality_team_adverse, website_team_adverse, ts_ip_vocal,  description, statut, timestamp, type_game, visible, score
				FROM " . DB_TABLE_MATCH . "
				WHERE visible = 1 ".$Where_jeu."
				ORDER BY timestamp DESC
".		$Sql->limit($Pagination->get_first_msg(15, 'p'), 15), __LINE__, __FILE__);//modifiez 10 par le nombre de match par page			
//			", __LINE__, __FILE__);
		
			while($row = $Sql->fetch_assoc($result))
			{
//////

// Score : Modif pegasetkc
			$score_match = unserialize($row['score']) ;
// status du match vue : Modif pegasetkc
			if ($row['statut']== 0) 
				$status_match = "Non dfinis" ;
			elseif ($row['statut']== 1) 
				$status_match = "A faire"; 
			elseif ($row['statut']== 2)			
				$status_match = "En cours" ;
			elseif ($row['statut']== 3)
				$status_match = $score_match['score_team'] . " / " . $score_match['score_team_adverse'] ;
			elseif ($row['statut']== 4)
				$status_match = "Annul" ;
				
				
////// chargement icones jeux : Modif pegasetkc
	$array = unserialize($CONFIG_MATCH['game']);
		foreach($array as $value){ 
			if($row['game'] == $value['name']) { $g_img = $value['icon'] ; }else{ $g_img = HOST.DIR.'/match/games/no_icon.png' ;}
		}

				
/////

	

				$tpl->assign_block_vars('list_title', array(
					'ID' => $row['id'],
					'TIMESTAMP' => gmdate_format('date_format', $row['timestamp']),
					'TITLE' => $row['name_team_adverse'],
					'STATUS'=>$status_match,
					'GAME' => $row['game'], // Modif pegasetkc
					'ICON' => $g_img, // Modif pegasetkc
					'TYPE_GAME'=> $row['type_game'], // Modif pegasetkc
				));
			}
			
			$tpl->assign_vars(array(
				'C_ALL' => true,
				'PAGINATION' => $Pagination->display(url('match.php?type_j='.$Type_j.'&p=%d'), $nbr_files,'p', 15, 3), //modifiez 10 par le nombre de match par page
			));
			
			$tpl->assign_vars(array(
				'C_PLAYER' => true,
				'C_WRITE' => $User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M) || $User->check_auth($CONFIG_MATCH['auth'], AUTH_CONTRIB_M) || $auth_contrib ? true : false,
				'C_MODO' => $User->check_auth($CONFIG_MATCH['auth'], AUTH_WRITE_M) || $User->check_auth($CONFIG_MATCH['auth'], AUTH_MODO_M) ? true : false,
			));
		}
	}

	// Fichier de langue 
	$tpl->assign_vars(array(
		'L_TEAM_NAME' => stripslashes($CONFIG_MATCH['name_team']),
		'C_CONTRIBUTION' => $auth_contrib,
		'KERNEL_EDITOR' => display_editor('desc'),
		'C_MODO' => $User->check_auth($CONFIG_MATCH['auth'], AUTH_MODO_M) ? true : false,
		'L_SCORE' => $MATCH_LANG['score'],
		'L_ADD' => $MATCH_LANG['add'],
		'L_VALID' => !empty($add) ? 'submit' : 'valid_edit',
		'L_UPDATE' => !empty($edit) ? $LANG['edit'] : $LANG['submit'],
		'L_RESET' => $LANG['reset'],	
		'L_FORM_COMPULSORY' => $MATCH_LANG['form_compulsory'],
		'L_CONFIRM_DEL' => $MATCH_LANG['del_music'],
		'L_CONTRIBUTION_LEGEND' => $MATCH_LANG['contribution_title'],
		'L_CONTRIBUTION_COUNTERPART' => $MATCH_LANG['contribution_confirmation_explain'],
		'L_AT' => $MATCH_LANG['at'],
		'L_UNIT_HOUR' => $MATCH_LANG['unit_hour'],
		'L_RELEASE_DATE' => $MATCH_LANG['release_date'],
		'L_NAME' => $MATCH_LANG['name_team'],
		'L_TAG' => $MATCH_LANG['tag_team'],
		'L_NATIONALITY' => $MATCH_LANG['nationality'],
		'L_WEBSITE' => $MATCH_LANG['website'],
		'L_DATE' => $MATCH_LANG['date'],
		'L_DESC' => $MATCH_LANG['desc'],
		'L_STATUT' => $MATCH_LANG['statut'],
		'L_WINNER' => $MATCH_LANG['winner'],
		'L_ALLY_MEMBERS' => $MATCH_LANG['ally_members'],
		'L_OPPONENT_MEMBERS' => $MATCH_LANG['opponent_members'],
		'L_ADD_FIELDS' => $MATCH_LANG['add_members'],
		'L_GAME' => $MATCH_LANG['game'],
		'L_GAME_1' => $MATCH_LANG['game1'],
		'L_GAME_MAP' => $MATCH_LANG['game_map'],
		'L_TYPE_GAME'=> $MATCH_LANG['type_game'],
		'L_ROUND' => $MATCH_LANG['round'],
		'L_TITLE' => 'Match',

		'L_REQUIRE_NAME'=> "Il manque le nom de votre team",
		'L_REQUIRE_TAG'=> "Il manque le tag de votre team",
		'L_REQUIRE_URL'=> "Il manque le lien url de votre team",
		'L_REQUIRE_GAME'=> "Il manque le nom du jeux pour le dfis",
		'L_REQUIRE_DATE'=> "Il manque une date pour le dfis",

	));
	
	if(!empty($confirm) && $confirm !== 'string')
	{
		switch ($confirm)
		{
			case 'del':
				$lang = $MATCH_LANG['success_del'];
				$error = 'success';
			break;				
			case 'edit':
				$lang = $MATCH_LANG['success_edit'];
				$error = 'success';
			break;	
			case 'add':
				$lang = $MATCH_LANG['success_add'];
				$error = 'success';
			break;	
			case 'unexist':
				$lang = $MATCH_LANG['error_unexist'];
				$error = 'notice';
			break;
			case 'contribut':
				$lang = $MATCH_LANG['success_contribut'];
				$error = 'success';
			break;
			case 'fields_empty':
				$lang = $MATCH_LANG['error_empty'];
				$error = 'notice';
			break;				
			default: 
				$lang = '';
				$error = '';
		}
		
		$tpl->assign_vars(array(
			'C_ERROR_HANDLER' => true,
			'L_ERRORH' => $lang,
			'ERROR' => $error,
		));
	}

// test envoi dcal mais tanpi en faisant des controle sa devrais etre bon tant que j'ai pas parser le tpl
	// controle si ajout, ou edition (dois passer pour les contrib )
	if(!empty($add) || !empty($edit) ) 
		{
//
		$tpl->assign_vars(array(
			'SCRIPT_DEBUT'=>'<script type="text/javascript" language="javascript">
var jeux = new Array; //nouveau tableau ex pays
var map=new Array; // ex ville
' ,
			'SCRIPT_FIN'=>'

function filltheselect(liste, choix)
{switch (liste)
   {
   case "listejeux":
      raz("listemap");

      for (i=0; i<map[choix].length; i++)
         {
         new_option = new Option(map[choix][i][0],map[choix][i][1],map[choix][i][2]);
         document.general.elements["listemap"].
 options[document.general.elements["listemap"].length]=new_option;
         }
	document.getElementById(\'Choix_game\').innerHTML = \'<input value="\' + jeux[choix[1]][1] + \'" type="hidden" name="game_j">\';
   }
}


function raz(liste)
{l=document.general.elements[liste].length;
for (i=l; i>=0; i--)
   document.general.elements[liste].options[i]=null;
}
</script>',
		));

		// on peut envoyer les maps
			global $CONFIG_MATCH;
			$game = unserialize($CONFIG_MATCH['game']); // selection de la variable dans le cache
//	print_r( $game ) ; // affichage de l'array qui nous interresse
	$n_game = 0; // numero du jeux 
	while ($n_game < count($game)) // pour chaque entre jeux $game[X]
		{
		if(!empty($edit) && isset($edit_bdd['game']) && ($edit_bdd['game'] == $game[$n_game]['name'] ) ) { // on est en edit donc on se sert de selected=selected
		$tpl->assign_block_vars('script1', array(
			'SCRIPT_1' => 'jeux['.$n_game.'] = new Array("j'.$n_game.'", "'.$game[$n_game]['name'].'", "selected=selected");
				', 
		));
			}else{
		$tpl->assign_block_vars('script1', array(
			'SCRIPT_1' => 'jeux['.$n_game.'] = new Array("j'.$n_game.'", "'.$game[$n_game]['name'].'");
				', 
		));	}
		$n_map = 0; // mise a zero pour le compteur de map

	if ( (isset($game[$n_game]['icon'])) && ($game[$n_game]['icon'] != '') && (!empty($game[$n_game]['icon']))){$ico=2;}else{$ico=1;}
		$m_count = (isset($game[$n_game])) ? (count($game[$n_game])-$ico) : 0 ; // evite l'rreur count = 0 et compte $game[jeux][X] - name et icon


				while ($n_map <= $m_count )
				{
				// Re controle des enregistrement dans n_map

$tpl->assign_block_vars('script2', array( 'SCRIPT_2'=>'
	map["j'.$n_game.'"] = new Array;
	 '));

					if ( (isset($game[$n_game][$n_map])) && ($game[$n_game][$n_map] != '') && (!empty($game[$n_game][$n_map])) )
					{	


						if ( isset($edit_bdd['game_map']) && ($edit_bdd['game_map'] == $game[$n_game][$n_map])){
 $tpl->assign_block_vars('script3', array( 'SCRIPT_3'=>'map["j'.$n_game.'"]['.$n_map.'] = new Array("'.$game[$n_game][$n_map].'","'.$game[$n_game][$n_map].'","selected=selected");
	' ));
						}else{
 $tpl->assign_block_vars('script3', array( 'SCRIPT_3'=>'map["j'.$n_game.'"]['.$n_map.'] = new Array("'.$game[$n_game][$n_map].'", "'.$game[$n_game][$n_map].'","");
	' ));
						}

					// fin du controle de n_map
					} else {
 $tpl->assign_block_vars('script3', array( 'SCRIPT_3'=>'map["j'.$n_game.'"]['.$n_map.'] = new Array("Pas de map", "Pas de map","");
	' ));

					} 
					$n_map++ ;
				}
		$n_game++ ;

		 }


		 }

		
	$tpl->parse();

	

require_once('../kernel/footer.php'); 

?>
